import Plyr from 'plyr/src/js/plyr';

/**
 * ------------------------------------------------------------------------
 * Constantes
 * ------------------------------------------------------------------------
 */

const Default = {
  invertTime: false,
  quality: {
    default: 480
  },
  settings: [
    'quality'
  ],
  i18n: {
    restart: 'Revoir',
    rewind: 'Rembobiner de {seektime} secondes',
    play: 'Lecture',
    pause: 'Pause',
    fastForward: 'Avancer de {seektime} secondes',
    seek: 'Rechercher',
    played: 'Lu',
    buffered: 'Chargé',
    currentTime: 'Temps actuel',
    duration: 'Durée',
    volume: 'Volume',
    mute: 'Sourdine',
    unmute: 'Son activé',
    enterFullscreen: 'Activer le plein écran',
    exitFullscreen: 'Quitter le plein écran',
    frameTitle: 'Lecteur pour {title}',
    settings: 'Paramètres',
    speed: 'Vitesse',
    normal: 'Normal',
    quality: 'Qualité',
    loop: 'Boucle',
    start: 'Début',
    end: 'Fin',
    all: 'Tout',
    reset: 'Réinitialiser',
    disabled: 'Désactivé',
    enabled: 'Activé'
  }
};

/**
 * ------------------------------------------------------------------------
 * Fonctions
 * ------------------------------------------------------------------------
 */

function VideoPlayer(element, options = {}) {
  if (typeof window.STATIC_URL !== 'undefined') {
    options.blankUrl = `${window.STATIC_URL}vendor/plyr/blank.mp4`;
    options.iconUrl = `${window.STATIC_URL}vendor/plyr/plyr.svg`;
  }

  const player = new Plyr(element, Object.assign({}, Default, options));

  if (typeof window._paq !== 'undefined') {
    // ajoute le suivi de la lecture de la vidéo
    player.on('playing', event => {
      const instance = event.detail.plyr;
      const title = instance.media.title;
      window._paq.push(['trackEvent', 'Vidéo', 'play', title]);
    });
  }

  return player;
}

export default VideoPlayer;
