# Generated by Django 2.0.5 on 2018-05-16 08:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '0040_page_draft_title'),
    ]

    operations = [
        migrations.CreateModel(
            name='ForumSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=False, help_text='Détermine si le forum est disponible pour les visiteurs. Cela contrôle la possibilité de poser une question par exemple.', verbose_name='actif')),
                ('site', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='wagtailcore.Site')),
            ],
            options={
                'verbose_name': 'Forum virtuel',
            },
        ),
        migrations.CreateModel(
            name='Participant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('genre', models.CharField(choices=[('F', 'Une femme'), ('H', 'Un homme')], max_length=1, verbose_name='genre')),
                ('age', models.CharField(choices=[('18-20', '18 à 20 ans'), ('21-24', '21 à 24 ans'), ('25-30', '25 à 30 ans'), ('30+', 'plus de 30 ans')], max_length=5, verbose_name='âge')),
                ('ville', models.CharField(choices=[('ABLAIN-SAINT-NAZAIRE', 'ABLAIN-SAINT-NAZAIRE'), ('ACHEVILLE', 'ACHEVILLE'), ('AIX-NOULETTE', 'AIX-NOULETTE'), ('ANGRES', 'ANGRES'), ('ANNAY', 'ANNAY'), ('AVION', 'AVION'), ('BENIFONTAINE', 'BENIFONTAINE'), ('BILLY-MONTIGNY', 'BILLY-MONTIGNY'), ('BOUVIGNY-BOYEFFLES', 'BOUVIGNY-BOYEFFLES'), ('BULLY-LES-MINES', 'BULLY-LES-MINES'), ('CARENCY', 'CARENCY'), ('ELEU-DIT-LEAUWETTE', 'ELEU-DIT-LEAUWETTE'), ('ESTEVELLES', 'ESTEVELLES'), ('FOUQUIERES-LES-LENS', 'FOUQUIERES-LES-LENS'), ('GIVENCHY-EN-GOHELLE', 'GIVENCHY-EN-GOHELLE'), ('GOUY-SERVINS', 'GOUY-SERVINS'), ('GRENAY', 'GRENAY'), ('HARNES', 'HARNES'), ('HULLUCH', 'HULLUCH'), ('LENS', 'LENS'), ('LIEVIN', 'LIEVIN'), ('LOISON-SOUS-LENS', 'LOISON-SOUS-LENS'), ('LOOS-EN-GOHELLE', 'LOOS-EN-GOHELLE'), ('MAZINGARBE', 'MAZINGARBE'), ('MERICOURT', 'MERICOURT'), ('MEURCHIN', 'MEURCHIN'), ('NOYELLES-SOUS-LENS', 'NOYELLES-SOUS-LENS'), ('PONT-A-VENDIN', 'PONT-A-VENDIN'), ('SAINS-EN-GOHELLE', 'SAINS-EN-GOHELLE'), ('SALLAUMINES', 'SALLAUMINES'), ('SERVINS', 'SERVINS'), ('SOUCHEZ', 'SOUCHEZ'), ('VENDIN-LE-VIEIL', 'VENDIN-LE-VIEIL'), ('VILLERS-AU-BOIS', 'VILLERS-AU-BOIS'), ('VIMY', 'VIMY'), ('WINGLES', 'WINGLES'), ('autre', 'Autre...')], max_length=30, verbose_name='ville de résidence')),
                ('ville_autre', models.CharField(blank=True, max_length=30, verbose_name='autre ville de résidence')),
                ('session_id', models.CharField(blank=True, editable=False, max_length=64, verbose_name='id de session')),
            ],
            options={
                'verbose_name': 'participant(e)',
                'verbose_name_plural': 'participant(e)s',
            },
        ),
        migrations.CreateModel(
            name='Appel',
            fields=[
                ('participant_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='forum.Participant')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='date de création')),
                ('last_modified_at', models.DateTimeField(auto_now=True, verbose_name='date de la dernière modification')),
                ('status', models.CharField(choices=[('nouveau', 'Nouveau'), ('en_cours', 'En cours'), ('traite', 'Traité'), ('rappeler', 'À rappeler'), ('erreur', 'Injoignable')], default='nouveau', max_length=10, verbose_name='statut')),
                ('telephone', models.CharField(max_length=15, verbose_name='téléphone')),
                ('objet', models.TextField(verbose_name='objet de la demande')),
                ('notes', models.TextField(blank=True, verbose_name='notes')),
                ('compteur', models.PositiveSmallIntegerField(default=0, editable=False, verbose_name='nombre de tentatives')),
            ],
            options={
                'ordering': ['last_modified_at'],
                'abstract': False,
            },
            bases=('forum.participant', models.Model),
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='date de création')),
                ('last_modified_at', models.DateTimeField(auto_now=True, verbose_name='date de la dernière modification')),
                ('status', models.CharField(choices=[('nouveau', 'Nouveau'), ('en_cours', 'En cours'), ('traite', 'Traité'), ('prive', 'Privé'), ('spam', 'Spam')], default='nouveau', max_length=10, verbose_name='statut')),
                ('email', models.EmailField(max_length=254, verbose_name='adresse mail')),
                ('question', models.TextField(verbose_name='question')),
                ('answer', models.TextField(blank=True, verbose_name='réponse')),
                ('participant_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='question_ptr', serialize=False, to='forum.Participant')),
            ],
            options={
                'ordering': ['last_modified_at'],
                'abstract': False,
            },
            bases=('forum.participant', models.Model),
        ),
    ]
