from django.urls import include, path

from .views import (
    AppelAddView,
    AppelDetailView,
    AppelFilesView,
    AppelUpdateView,
    QuestionAddView,
    QuestionAnswerView,
    QuestionFilesView,
    appel_process,
    question_reset,
    question_spam,
)

app_name = 'forum'

appel_patterns = [
    path('add/', AppelAddView.as_view(),
         name='appel-add'),
    # vues d'administration
    path('files/', AppelFilesView.as_view(),
         name='appel-files'),
    path('<int:pk>/', AppelDetailView.as_view(),
         name='appel-detail'),
    path('<int:pk>/process/', appel_process,
         name='appel-process'),
    path('<int:pk>/update/', AppelUpdateView.as_view(),
         name='appel-update'),
]

question_patterns = [
    path('add/', QuestionAddView.as_view(),
         name='question-add'),
    # vues d'administration
    path('files/', QuestionFilesView.as_view(),
         name='question-files'),
    path('<int:pk>/answer/', QuestionAnswerView.as_view(),
         name='question-answer'),
    path('<int:pk>/reset/', question_reset,
         name='question-reset'),
    path('<int:pk>/spam/', question_spam,
         name='question-spam'),
]

urlpatterns = [
    path('appel/', include(appel_patterns)),
    path('question/', include(question_patterns)),
]
