from django.db import transaction
from django.db.models.signals import post_delete

from .models import SourceMedia, VideoSource


def post_delete_file_cleanup(instance, **kwargs):
    # passe False pour que FileField n'enregistre pas le modèle
    transaction.on_commit(lambda: instance.file.delete(False))


def register_signal_handlers():
    post_delete.connect(post_delete_file_cleanup, sender=SourceMedia)
    post_delete.connect(post_delete_file_cleanup, sender=VideoSource)
