from django.shortcuts import get_object_or_404, render

from .models import SourceMedia


def show(request, media_id):
    media = get_object_or_404(SourceMedia, id=media_id)
    template_name = 'blocks/media_{}.html'.format(media.type)

    if request.is_ajax():
        return render(request, template_name, {'value': media})
    else:
        return render(
            request,
            'media/show.html',
            {'media': media, 'template_name': template_name},
        )
