"""
Pour info, un smoketest plus large basé sur un live_server
(qui implique un TransactionTestCase) ne fonctionne pas
en PostgreSQL a cause du bug:
https://github.com/wagtail/wagtail/issues/1824


import requests


class TestSmoke:
    def test_get(self, live_server):
        "assert no server error"
        r = requests.get(live_server.url)
        assert r.status_code == 200
        r = requests.get(live_server.url+'/admin/')
        assert r.status_code == 200
        r = requests.get(live_server.url+'/django-admin/')
        assert r.status_code == 200
        r = requests.get(live_server.url+'/forum/question/files/')
        assert r.status_code == 200
        r = requests.get(live_server.url+'/forum/appel/files/')
        assert r.status_code == 200
"""

import pytest


@pytest.mark.django_db
class TestSmoke:
    def test_get(self, client):
        "assert no server error"
        r = client.get('/')
        assert r.status_code == 200
        r = client.get('/admin/')
        assert r.status_code == 302
        r = client.get('/django-admin/')
        assert r.status_code == 302
        r = client.get('/forum/question/files/')
        assert r.status_code == 302
        r = client.get('/forum/appel/files/')
        assert r.status_code == 302
