# Typographie

<p class="lead">Ce graphisme utilises la police d'écriture <a href="https://github.com/JulietaUla/Montserrat"><b>Montserrat</b></a>, sous licence OFL.</p>

---

## Titres

Les titres sont utilisés pour identifier différentes sections du contenu, généralement liés à un paragraphe ou d'autres éléments HTML. Ils vont de `h1` à `h6` et doivent être utilisés dans une hiérarchie claire.

---

<h1>Titre de niveau 1</h1>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h2>Titre de niveau 2</h2>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h3>Titre de niveau 3</h3>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h4>Titre de niveau 4</h4>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h5>Titre de niveau 5</h5>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h6>Titre de niveau 6</h6>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

---

## Texte et paragraphe

Ceci est un paragraphe. Ils peuvent contenir du texte <strong>en gras</strong> et <em>en italique</em>, voir <strong><em>les deux en même temps</em></strong>, grâce aux balises `<strong>` et `<em>`. On peut aussi retrouver des <a href="#">liens</a> définis par du texte <a href="#">plus ou moins long</a>. Une autre balise utile dans certains cas est `<abbr>`, qui permet de définir un acronyme comme <abbr title="HyperText Markup Language">HTML</abbr> par exemple.

Et puis, le latin, c'est chouette, en voici un extrait. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

---

## Listes

Voici un exemple de liste simple :

<ul>
  <li>Lorem ipsum dolor sit amet</li>
  <li>Consectetur adipiscing elit</li>
  <li>Integer molestie lorem at massa</li>
  <li>Facilisis in pretium nisl aliquet</li>
  <li>Nulla volutpat aliquam velit
    <ul>
      <li>Phasellus iaculis neque</li>
      <li>Purus sodales ultricies</li>
      <li>Vestibulum laoreet porttitor sem</li>
      <li>Ac tristique libero volutpat at</li>
    </ul>
  </li>
  <li>Faucibus porta lacus fringilla vel</li>
  <li>Aenean sit amet erat nunc</li>
  <li>Eget porttitor lorem</li>
</ul>

En voici une autre avec des éléments ordonnés :

<ol>
  <li>Commencer par faire ceci ;</li>
  <li>Ajouter cela dans ceci ;</li>
  <li>S'assurer que tout est dit ;</li>
  <li>Voilà, c'est fini !</li>
</ol>

---

## Liste de définitions

Ces listes sont utilisées pour présenter une paire de nom-valeur, comme des méta données ou des définitions. Elles sont ici étendues afin de pouvoir afficher une paire de nom-valeur sur une même ligne, an ajoutant `.dl-inline` à l'élément `dl` :

```html_example
<dl class="dl-inline">
  <dt>Auteur :</dt>
  <dd>Une certaine personne</dd>
  <dt>Date d'ajout :</dt>
  <dd>Hier à 20:18</dd>
</dl>
```



# Formulaires

<p class="lead">Dans le code Django, le rendu des formulaires est à faire avec <a href="https://github.com/stephrdev/django-tapeforms">django-tapeforms</a> pour une bonne intégration.</p>

---

## Champs de base

Quelques classes supplémentaires sont à utiliser, comme `.required` pour identifier un champ requis. Les actions du formulaires sont aussi à regrouper dans un conteneur `.form-actions`.

```html_example
<form>
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="input1">Nom <span class="required">*</span></label>
      <input type="text" class="form-control" id="input1">
    </div>
    <div class="form-group col-md-6">
      <label for="input2">Prénom <span class="required">*</span></label>
      <input type="text" class="form-control" id="input2">
    </div>
  </div>
  <div class="form-group">
    <label for="input3">Adresse <span class="required">*</span></label>
    <input type="text" class="form-control" id="input3">
  </div>
  <div class="form-group">
    <label for="input4">Complément d'adresse</label>
    <textarea class="form-control" id="input4" placeholder="Appartement, studio ou étage" rows="3"></textarea>
    <div class="small form-text">Une aide pour ce champ, qui peut aussi être une liste.</div>
  </div>
  <div class="form-row">
    <div class="form-group col-md-4">
      <label for="input5">Pays</label>
      <select id="input5" class="custom-select">
        <option selected>-------</option>
        <option>Option 1</option>
        <option>Option 2</option>
      </select>
    </div>
    <div class="form-group col-md-6">
      <label for="input6">Ville <span class="required">*</span></label>
      <input type="text" class="form-control" id="input6">
    </div>
    <div class="form-group col-md-2">
      <label for="input7">Code postal <span class="required">*</span></label>
      <input type="text" class="form-control" id="input7">
    </div>
  </div>
  <hr>
  <div class="form-group">
    <label for="input8">Adresse mail <span class="required">*</span></label>
    <div class="input-group mb-2">
      <div class="input-group-prepend">
        <div class="input-group-text">@</div>
      </div>
      <input type="email" class="form-control" id="input8">
    </div>
  </div>
  <div class="form-group">
    <div class="custom-control custom-checkbox">
      <input type="checkbox" class="custom-control-input" id="input9">
      <label class="custom-control-label" for="input9">Recevoir la newsletter mensuelle</label>
    </div>
  </div>
  <div class="form-actions text-right">
    <button type="submit" class="btn btn-outline-danger">Supprimer</button>
    <button type="submit" class="btn btn-primary">Enregistrer</button>
  </div>
</form>
```



# Messages

Le composant *Alert* est utilisé pour présenter un message à l'utilisat⋅eur⋅rice. Seules les couleurs suivantes sont cependant à utiliser :
 * `.alert-success` : lorsqu'une action a bien été réalisée ;
 * `.alert-danger` : en cas d'erreur, dans le saisie du formulaire par exemple ;
 * `.alert-info` : pour afficher et faire ressortir une information.

```html_example
<div class="alert alert-dismissible alert-success">
  <button type="button" class="close" data-dismiss="alert">&times;</button>
  <strong>Well done!</strong> You successfully read <a href="#" class="alert-link">this important alert message</a>.
</div>

<div class="alert alert-dismissible alert-danger">
  <button type="button" class="close" data-dismiss="alert">&times;</button>
  <strong>Oh snap!</strong> <a href="#" class="alert-link">Change a few things up</a> and try submitting again.
</div>

<div class="alert alert-dismissible alert-info">
  <button type="button" class="close" data-dismiss="alert">&times;</button>
  <strong>Heads up!</strong> This <a href="#" class="alert-link">alert needs your attention</a>, but it's not super important.
</div>
```



# Accordéons

<p class="lead">Permets d'organiser et de naviguer dans plusieurs contenus dans un seul conteneur.</p>

```html_example
<div class="accordion" id="accordionExample">
  <div class="accordion-item">
    <a href="#accordion1" data-toggle="collapse" data-target="#accordion1" aria-expanded="true" aria-controls="accordion1">
      <h3 class="accordion-title" id="accordionTitle1">
        Accordion 1
      </h3>
    </a>
    <div class="accordion-content collapse show" id="accordion1" aria-labelledby="accordionTitle1" data-parent="#accordionExample">
      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus sollicitudin massa mauris, vitae consectetur erat ultricies vel.</p>
      <p>Sed convallis est at ante euismod, at posuere massa finibus. Nam ipsum enim, tempus sit amet bibendum id, pulvinar et metus. Phasellus ut molestie mi, nec tincidunt urna. Donec ut leo mi.</p>
    </div>
  </div>
  <div class="accordion-item">
    <a href="#accordion2" class="collapsed" data-toggle="collapse" data-target="#accordion2" aria-expanded="false" aria-controls="accordion2">
      <h3 class="accordion-title" id="accordionTitle2">
        Accordion 2
      </h3>
    </a>
    <div class="accordion-content collapse" id="accordion2" aria-labelledby="accordionTitle2" data-parent="#accordionExample">
      <p>Etiam vehicula, lectus pulvinar ultricies pulvinar, mauris turpis vehicula mauris, auctor tristique dolor elit quis tortor. Sed pharetra justo in libero vulputate, a dapibus elit efficitur.</p>
      <p>Phasellus porta ex sit amet turpis gravida pulvinar. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent ac consequat arcu. Nunc non rutrum purus.</p>
    </div>
  </div>
  <div class="accordion-item">
    <a href="#accordion3" class="collapsed" data-toggle="collapse" data-target="#accordion3" aria-expanded="false" aria-controls="accordion3">
      <h3 class="accordion-title" id="accordionTitle3">
        Accordion 3
      </h3>
    </a>
    <div class="accordion-content collapse" id="accordion3" aria-labelledby="accordionTitle3" data-parent="#accordionExample">
      <p>Mauris ac ante in ligula malesuada tincidunt. Integer risus nisl, pellentesque a ornare at, dignissim ac purus. Duis pretium velit a lorem pellentesque, sed pretium risus fringilla. Ut lacinia, enim non mattis placerat, tellus ante vehicula ex, in iaculis urna quam quis tortor.</p>
      <a href="#">Nowhere to Go</a>
    </div>
  </div>
</div>
```
